module Main exposing (main)

import Browser
import Core
import Json.Decode as Decode
import Views


main : Program Decode.Value Core.FullModel Core.Msg
main =
    Browser.application
        { init = Core.init
        , update = Core.update
        , view = Views.view
        , subscriptions = \_ -> Sub.none
        , onUrlChange = Core.UrlReceived
        , onUrlRequest = \_ -> Core.Noop
        }
